package com.ajb.car.metadata.service;

import java.util.List;
import org.springframework.data.domain.Sort;

import com.ajb.car.entity.meta.AgMdCode;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

public interface AgMdCodeService {
	AgMdCode save(AgMdCode agmdcode);
	Boolean delete (Long id);
	AgMdCode update(AgMdCode agmdcode);
	AgMdCode findById(Long id);
	Page<AgMdCode> findByObjPageable(AgMdCode agmdcode,Pageable pageable);
	List<AgMdCode> findByObjSortable(AgMdCode agmdcode,Sort sort);
	AgMdCode getCodeByType(String type);
}